# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dumper/Simple.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/Simple.pm) perl(common/sense.pm) perl(feature.pm)
# END SourceDeps(oneline)
%define module_name Algorithm-Bitonic-Sort
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Sorting numbers with Bitonic Sort
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BL/BLUET/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Bitonic mergesort is a parallel algorithm for sorting. It is also used as a construction method for building a sorting network.
This is an Perl 5 implementation of Ken Batcher's Bitonic mergesort.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/A*

%changelog
* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- initial import by package builder

